Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class TransactionAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.TransactionAttributes

    public class TransactionAttributes

extends java.lang.Object

Class containing information on transaction attributes.

Field Summary
`static java.lang.String` | `NUM_TRANSACTIONS` Number of transactions.
`static java.lang.String` | `NUM_TRANSACTIONS_COMMITTED` Number of transactions that have been committed.
`static java.lang.String` | `NUM_TRANSACTIONS_ROLLBACK` Number of transactions that have been rolled back.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_TRANSACTIONS

    public static final java.lang.String NUM_TRANSACTIONS

  Number of transactions.

  See Also:
    Constant Field Values

### NUM_TRANSACTIONS_COMMITTED

    public static final java.lang.String NUM_TRANSACTIONS_COMMITTED

  Number of transactions that have been committed.

  See Also:
    Constant Field Values

### NUM_TRANSACTIONS_ROLLBACK

    public static final java.lang.String NUM_TRANSACTIONS_ROLLBACK

  Number of transactions that have been rolled back.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.